/*
    FEARLUS model0-6-2: CylindricalTopology.m
    Copyright (C) 1999-2002  Macaulay Institute
    Copyright (C) 1999-2002  Macaulay Institute
    Copyright (C) 1999-2002  Macaulay Institute

    This file is part of FEARLUS model0-6-2, an agent-based model of land use
    change.

    FEARLUS model0-6-2 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS model0-6-2 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/


#import "CylindricalTopology.h"
#import <stdlib.h>

@implementation CylindricalTopology

+create: aZone setSize: (id <Grid2DSpatial>)size Radius: (unsigned)r {
  fprintf(stderr, "CylindricalTopology is an abstract class. Please use "
	  "VerticalCylindricalTopology or HorizontalCylindricalTopology "
	  "instead\n");
  exit(1);
}

-(id <Grid2DSpatial>)startSearchWithCentre: (id <Grid2DSpatial>)loc {
  return nil;
}

-(BOOL)continueSearch {
  return NO;
}

-(BOOL)getNeighbourhoodCoordinatesOf: (id <Grid2DSpatial>)loc1
			  relativeTo: (id <Grid2DSpatial>)loc2
				  in: (Coordinate2D *)coord {
  return NO;
}

-(id <Grid2DSpatial>)nextSearchItem {
  return nil;
}

@end
